    PROGRAM nag_fresnel_intg_ex03

      ! Example Program Text for nag_fresnel_intg
      ! NAG fl90, Release 4. NAG Copyright 2000.

      ! .. Use Statements ..
      USE nag_examples_io, ONLY : nag_std_out
      USE nag_fresnel_intg, ONLY : nag_fresnel_c
      ! .. Implicit None Statement ..
      IMPLICIT NONE
      ! .. Intrinsic Functions ..
      INTRINSIC KIND
      ! .. Parameters ..
      INTEGER, PARAMETER :: n = 11
      INTEGER, PARAMETER :: wp = KIND(1.0D0)
      ! .. Local Scalars ..
      INTEGER :: i
      REAL (wp) :: y
      ! .. Local Arrays ..
      REAL (wp) :: x(n)
      ! .. Executable Statements ..
      WRITE (nag_std_out,*) &
       'Example Program Results for nag_fresnel_intg_ex03'

      WRITE (nag_std_out,*)
      WRITE (nag_std_out,*) '      x          C(x)'
      x = (/ -1.0_wp, 0.0_wp, 0.5_wp, 1.0_wp, 2.0_wp, 4.0_wp, 5.0_wp, 6.0_wp, &
       8.0_wp, 10.0_wp, 1000.0_wp/)

      DO i = 1, n

        y = nag_fresnel_c(x(i))

        WRITE (nag_std_out,fmt='(1X,1P,3E12.3)') x(i), y
      END DO

    END PROGRAM nag_fresnel_intg_ex03
